summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-21 06:08:15 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-21 06:08:15 +0000
commita2e99624908bb023f0ce013c16a5d644472fe33c (patch)
tree51b1ad1dc20e7cf533916233c7d9df60b11814bd
parent4350c8d2a070eace4e9b9faa424e0df908c6a293 (diff)
downloadmultilib-a2e99624908bb023f0ce013c16a5d644472fe33c.tar.gz
multilib-a2e99624908bb023f0ce013c16a5d644472fe33c.tar.xz
glibc-multilib: updated to 2.30 and removed obsolete libraries
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild40
1 files changed, 17 insertions, 23 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 4b42360..9b655ba 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -20,8 +20,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-## build glibc-$VERSION for Slackware, including 32-bit compatibility libraries
-
# Extended to build 32-bit compatibility libraries on x86_64,
# by Fred Emmott <mail@fredemmott.co.uk>. No copyright claim.
# Simplified to produce combined packages (no separate compat-32),
@@ -30,9 +28,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
-VERSION=${VERSION:-2.29}
+VERSION=${VERSION:-2.30}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-3alien}
+BUILD=${BUILD:-2alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -171,6 +169,10 @@ apply_patches() {
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
# Don't use AM/PM format for date(1). That's just plain crazy.
zcat $CWD/glibc-2.29.en_US.no.am.pm.date.format.diff.gz | patch -p1 --verbose || exit 1
+ # Other regression fixes from git:
+ for git_patch in $CWD/patches/*.patch.gz ; do
+ zcat $git_patch | patch -p1 --verbose || exit 1
+ done
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;
@@ -217,6 +219,7 @@ echo "-- Extracting sources"
cd $TMP
rm -rf glibc-$CVSVER
tar xf $CWD/glibc-$CVSVER.tar.xz \
+ || tar xf $CWD/glibc-$CVSVER.tar.lz \
|| tar xf $CWD/glibc-$CVSVER.tar.bz2 \
|| tar xf $CWD/glibc-$CVSVER.tar.gz
cd glibc-$CVSVER
@@ -227,28 +230,22 @@ if [ $BOOTSTRP -eq 1 ] ; then
sed -i -e 's/-lgcc_eh//g' Makeconfig
fi
-chown -R root:root .
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-
-# Clean up leftover CVS directories:
-find . -type d -name CVS -exec rm -r {} \; 2> /dev/null
-
# Apply patches; exit if any fail.
apply_patches
if [ ! $? = 0 ]; then
exit 1
fi
+# Clean up leftover CVS directories:
+find . -type d -name CVS -exec rm -r {} \; 2> /dev/null
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
build_glibc() {
CFLAGS="-g $OPTIMIZ -I/usr/include" \
../configure \
@@ -257,8 +254,6 @@ build_glibc() {
--enable-kernel=2.6.32 \
--with-headers=/usr/include \
--enable-add-ons \
- --enable-obsolete-nsl \
- --enable-obsolete-rpc \
--enable-profile \
$DISABLE_NSCD \
--infodir=/usr/info \
@@ -293,7 +288,6 @@ if [ "x$LIBDIRSUFFIX" = "x64" ]; then
fi
# Make build directory:
-
mkdir build-glibc-$VERSION
cd build-glibc-$VERSION || exit 1